2017-03-24 00:10 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003367Kali Linux[All Projects] General Bugpublic2016-07-11 23:24
Reporterthc202 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003367: File selection dialogues not refreshed in zaproxy with assistive_technologies (OpenJDK)
DescriptionWhen assistive_technologies is enabled the file selection dialogues, in OWASP ZAP, are not correctly refreshed (painted) when moving to parent directory.
Steps To Reproduce1. Make sure that in /etc/java-8-openjdk/accessibility.properties there's the following entry:
assistive_technologies=org.GNOME.Accessibility.AtkWrapper
2. Run ZAP;
3. Open a file selection dialogue (for example, File > Load Add-on File...);
4. Go to parent directory (button "Up One Level") and note that the directories/files shown are still the ones from the child directory. Pressing F5 displays the correct contents.
Additional InformationIssue reported in ZAP:
https://github.com/zaproxy/zaproxy/issues/2594

$ uname -a
Linux kali 4.4.0-kali1-amd64 0000001 SMP Debian 4.4.6-1kali1 (2016-03-18) x86_64 GNU/Linux

$ lsb_release -rd
Description: Kali GNU/Linux Rolling
Release: Kali-rolling

$ java -version
openjdk version "1.8.0_91"
OpenJDK Runtime Environment (build 1.8.0_91-8u91-b14-2-b14)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)

libatk-wrapper-java version 0.33.3-7
Attached Files

-Relationships
+Relationships

-Notes

~0005397

rhertzog (administrator)

Thanks for the report, I forwarded it to the Debian maintainer: https://bugs.debian.org/827741

~0005525

rhertzog (administrator)

Fixed with openjdk-8 8u91-b14-3.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-20 11:48 thc202 New Issue
2016-06-20 12:14 rhertzog Assigned To => rhertzog
2016-06-20 12:14 rhertzog Status new => assigned
2016-06-20 12:14 rhertzog Note Added: 0005397
2016-07-11 23:24 rhertzog Note Added: 0005525
2016-07-11 23:24 rhertzog Status assigned => resolved
2016-07-11 23:24 rhertzog Fixed in Version => 2016.2
2016-07-11 23:24 rhertzog Resolution open => fixed
+Issue History